<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ChatBootReply;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class ChatBootReplyController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        try {
            ChatBootReply::create([
                'reply_boot_list_id'=> $request->reply_boot_list_id?? null,
                'reply_boot_button_id'=> $request->reply_boot_button_id?? null,
                'reply_message_id'=> $request->reply_message_id?? null,
                'type'=> $request->type,
                'boot_list_id'=> $request->boot_list_id?? null,
                'boot_button_id'=> $request->boot_button_id?? null,
            ]);
            Session::flash('message', 'تم الحفظ بنجاح');
            Session::flash('alert-class', 'alert-success');
            if ($request->status == "button"){
                return redirect()->route('ButtonBoot.index');
            }else{
                return redirect()->route('listBoot.index');
            }

        } catch (\Exception $exception) {
            return redirect()->back()->withErrors(['error' => $exception->getMessage()]);
        }
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        return view('admin.listboot.ReplyList.replyList',compact('id'));
    }

    public function chatBootReplyListShow($reply_boot_list_id , $boot_list_id)
    {
        return view('admin.listboot.ReplyList.replyList',compact('boot_list_id','reply_boot_list_id'));
    }

    public function chatBootReplyButtonShow($reply_boot_button_id , $boot_button_id)
    {
        return view('admin.buttonboot.ReplyButton.replybuuton',compact('boot_button_id','reply_boot_button_id'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
