<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ReportController extends Controller
{
    public function get_status()
    {
        return view('admin.Reports.status');
    }

    public function get_subscription ()
    {
        return view('admin.Reports.subscribertion');
    }

    public function get_employee()
    {
        return view('admin.Reports.employee');
    }

    public function get_chanel()
    {
        return view('admin.Reports.chanel');
    }



    public function post_chanel(Request $request)
    {
        $channel= $request->channel_id;
        $data = getInformationDataClients()->where('channel_id', $request->channel_id);
        $uniqueChannelsData = DB::table('clients')
            ->where('channel_id', $request->channel_id)
            ->select('channels.name as channel_name', 'statuses.name as status_name', DB::raw('count(*) as client_count'))
            ->join('channels', 'clients.channel_id', '=', 'channels.id')
            ->join('statuses', 'clients.status_id', '=', 'statuses.id')
            ->groupBy(['channels.name', 'statuses.name'])
            ->get();

        return view('admin.Reports.chanel',compact('data','channel','uniqueChannelsData'));
    }

    public function post_employee(Request $request)
    {
        $employee = $request->employee_id;
        $data = getInformationDataClients()->where('employee_id', $request->employee_id);
        $uniqueChannelsData = DB::table('clients')
            ->where('employee_id', $request->employee_id)
            ->select('channels.name as channel_name', 'statuses.name as status_name', DB::raw('count(*) as client_count'))
            ->join('channels', 'clients.channel_id', '=', 'channels.id')
            ->join('statuses', 'clients.status_id', '=', 'statuses.id')
            ->groupBy(['channels.name', 'statuses.name'])
            ->get()
            ; // تحديد العمود الذي تريد أن تكون الفريدة بناءً عليه

        return view('admin.Reports.employee',compact('data','employee','uniqueChannelsData'));
    }


    public function post_subscription(Request $request)
    {
        $subscription = $request->subscription_id;
        $data = getInformationDataClients()->where('subscriber_id', $request->subscription_id);
        $uniqueChannelsData = DB::table('clients')
            ->where('clients.subscriber_id', $request->subscription_id)
            ->select('channels.name as channel_name', 'statuses.name as status_name', DB::raw('count(*) as client_count'))
            ->join('channels', 'clients.channel_id', '=', 'channels.id')
            ->join('statuses', 'clients.status_id', '=', 'statuses.id')
            ->groupBy(['channels.name', 'statuses.name'])
            ->get();

        return view('admin.Reports.subscribertion',compact('data','subscription','uniqueChannelsData'));
    }

    public function post_status(Request $request)
    {


        $status = $request->status_id;
        $start_data = $request->start_data;
        $end_data = $request->end_data;
        $data = getInformationDataClients()->where('status_id', $request->status_id)->whereBetween('created_at', [$request->start_data, $request->end_data]);

        $uniqueChannelsData = DB::table('clients')
            ->where('status_id', $request->status_id)
            ->select('channels.name as channel_name', 'statuses.name as status_name', DB::raw('count(*) as client_count'))
            ->join('channels', 'clients.channel_id', '=', 'channels.id')
            ->join('statuses', 'clients.status_id', '=', 'statuses.id')
            ->groupBy(['channels.name', 'statuses.name'])
            ->get();
        return view('admin.Reports.status', compact('data', 'status', 'start_data', 'end_data','uniqueChannelsData'));
    }
}
