<?php

namespace App\Imports;

use App\Models\channel;
use App\Models\Client;
use Carbon\Carbon;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class ClientImport implements ToCollection, WithHeadingRow
{

    public function collection(Collection $rows)
    {
        foreach ($rows as $row) {
            $information = channel::where('number_id',$row['rkm_altaaryfy_llknah'])->first();
            $checkPhone = Client::where('phone', $row['rkm_alhatf'])->first();
            if (!$checkPhone) {
                Client::create([
                    'user_id' => optional($information->user)->id,
                    'subscriber_id' => optional($information->subscriber)->id,
                    'employee_id'=> null,
                    'status_id'=> $row['halh_alaamyl'],
                    'channel_id'=> $information->id,
                    'name'=> $row['asm_alaamyl'],
                    'phone' => $row['rkm_alhatf'],
                    'status_boot' => 'active',
                    'start_date' => Carbon::now(),
                ]);
            }
            if ($row['noaa_alrsalh'] == 'نصيه'){
                sendMessages($information->version,$row['rkm_altaaryfy_llknah'],$information->token,$row['rkm_alhatf'],$row['alrsalh']);
            }else{
                sendTemplate($information->version,$row['rkm_altaaryfy_llknah'],$information->token,$row['rkm_alhatf'],$row['rkm_altaaryfy_llkalb']);
            }
        }
    }

}
