<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BootList extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'subscriber_id',
        'name',
        'header_text',
        'body_text',
        'footer_text',
        'button_text',
        'section_1_title',
    ];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id');
    }

    public function subscriber()
    {
        return $this->belongsTo(User::class,'subscriber_id');
    }

    public function questionList()
    {
        return $this->hasMany(ReplyBootList::class, 'boot_list_id');
    }
}
