<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\BootButton;
use App\Models\BootList;
use App\Models\channel;
use App\Models\ChatBootReply;
use App\Models\Client;
use App\Models\ConnectBot;
use App\Models\HandelReplyBoot;
use App\Models\ReplyBoot;
use App\Models\ReplyMessage;
use App\Models\SingleMessages;
use App\Models\webhook;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class WebhookController extends Controller
{
    public function webhook(Request $request)
    {
        $code = "AhmedHamada2031995";
        $receivedVerifyToken = $request->input('hub_verify_token');

        if ($receivedVerifyToken === $code) {
            $challenge = $request->input('hub_challenge');
            return response()->json(['hub_challenge' => $challenge]);
        }

        return response()->json(['error' => 'The verify_token does not match.']);
    }


    public function store(Request $request)
    {
        $webhook = Webhook::create([
            'webhook' => json_encode($request->all()),
            'type' => $request->method(),
        ]);

        if ($webhook) {
            DB::table('single_messages')->whereNull('messages')->delete();
            $decodedInformation = json_decode($webhook->webhook, true); // Convert JSON to array
            $data = $decodedInformation['entry'][0]['changes'][0]['value'] ?? null;

            if ($data) {
                $checkDataMessages = isset($data['messages'][0]['text']['body']);
                if ($checkDataMessages) {
                    $this->checkRegistersNewClientsAndRegistersNewMessages($checkDataMessages, $data);
                }

                $findMessagesReply = isset($data['messages'][0]['interactive']['type']) && ($data['messages'][0]['interactive']['type'] == 'button_reply');
                if ($findMessagesReply) {
                    $this->FindButtonReplayChatBoot($data);
                }

                $findMessagesReplyList = isset($data['messages'][0]['interactive']['type']) && ($data['messages'][0]['interactive']['type'] == 'list_reply');
                if ($findMessagesReplyList) {
                    $this->FindListReplayChatBoot($data);
                }
            }
        }

        return response()->json(['success' => true], 201);
    }

    public function checkRegistersNewClientsAndRegistersNewMessages($checkDataMessages, $data)
    {
        if (!$checkDataMessages || !isset($data['messages'][0]['from'])) {
            return false;
        }

        $messagesReceived = $data['messages'][0]['text']['body'];
        $phoneNumbers = $data['messages'][0]['from'];

        $checkClient = Client::where('phone', $phoneNumbers)->first();
        $whatsappCloudApi = Channel::where('number_id', $data['metadata']['phone_number_id'])->first();

        if (!$checkClient) {
            $newClient = Client::create([
                'user_id' => optional($whatsappCloudApi->user)->id,
                'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                'employee_id' => null,
                'status_id' => 3,
                'channel_id' => $whatsappCloudApi->id,
                'name' => $data['contacts'][0]['profile']['name'],
                'phone' => $phoneNumbers,
                'status_boot' => 'active',
                'start_date' => Carbon::now(),
            ]);

            if ($newClient) {
                SingleMessages::create([
                    'user_id' => optional($whatsappCloudApi->user)->id,
                    'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                    'employee_id' => null,
                    'channel_id' => $whatsappCloudApi->id,
                    'client_id' => $newClient->uuid,
                    'messages' => $messagesReceived,
                    'type' => 'receiving_messages',
                    'status' => 'noRead',
                ]);

                $getBootSend = ConnectBot::where('channel_id', $whatsappCloudApi->id)->first();

                if ($getBootSend && $getBootSend->reply_boot_id) {
                    $findBoot = ReplyBoot::findOrFail($getBootSend->reply_boot_id);
                    if ($findBoot->boot_button_id) {
                        SingleMessages::create([
                            'user_id' => optional($whatsappCloudApi->user)->id,
                            'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                            'employee_id' => null,
                            'channel_id' => $whatsappCloudApi->id,
                            'client_id' => $newClient->uuid,
                            'messages' => $findBoot->boot_button->button_text,
                            'type' => 'sender_messages',
                            'status' => 'noRead',
                        ]);
                        return $this->sendButton($whatsappCloudApi, $phoneNumbers, $findBoot, $newClient);
                    } elseif ($findBoot->boot_list_id) {

                        SingleMessages::create([
                            'user_id' => optional($whatsappCloudApi->user)->id,
                            'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                            'employee_id' => null,
                            'channel_id' => $whatsappCloudApi->id,
                            'client_id' => $newClient->uuid,
                            'messages' => $findBoot->boot_list->header_text,
                            'type' => 'sender_messages',
                            'status' => 'noRead',
                        ]);

                        return $this->sendList($whatsappCloudApi, $phoneNumbers, $findBoot, $newClient);
                    }
                }
            }
        } else {


            $checkMessagesExpect = SingleMessages::where('channel_id', $whatsappCloudApi->id)
                ->where('client_id', $checkClient->uuid)->where('messages', $messagesReceived)->exists();
            $getBootSend2 = ConnectBot::where('channel_id', $whatsappCloudApi->id)->first();
            if (!$checkMessagesExpect) {

                DB::table('webhooks')->delete();

                $checkMessagesExpectBoot = SingleMessages::where('channel_id', $whatsappCloudApi->id)
                    ->where('client_id', $checkClient->uuid)->first();

                if (!$checkMessagesExpectBoot) {
                    SingleMessages::create([
                        'user_id' => optional($whatsappCloudApi->user)->id,
                        'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                        'employee_id' => null,
                        'channel_id' => $whatsappCloudApi->id,
                        'client_id' => $checkClient->uuid,
                        'messages' => $messagesReceived,
                        'type' => 'receiving_messages',
                        'status' => 'noRead',
                    ]);
                    if ($getBootSend2 && $getBootSend2->reply_boot_id) {
                        $findBoot = ReplyBoot::findOrFail($getBootSend2->reply_boot_id);
                        if ($findBoot->boot_button_id) {


                            return $this->sendButton($whatsappCloudApi, $phoneNumbers, $findBoot, $checkClient);
                        } elseif ($findBoot->boot_list_id) {
                            return $this->sendList($whatsappCloudApi, $phoneNumbers, $findBoot, $checkClient);
                        }
                    }
                }


                $checkEndMessagesForClient = SingleMessages::where('client_id',$checkClient->uuid)
                    ->where('messages','شكرا لارسالك لنا سيقوم احد من المسئولين بالتواصل معك قريبأ ')->exists();
                if(!$checkEndMessagesForClient){
                    sendMessages($whatsappCloudApi->version, $whatsappCloudApi->number_id, $whatsappCloudApi->token, $phoneNumbers, 'شكرا لارسالك لنا سيقوم احد من المسئولين بالتواصل معك قريبأ ');

                }


                $checkClient->update([
                    'status_id' => 4
                ]);
                return response()->json(['success' => true], 201);
            }
        }
        DB::table('webhooks')->delete();
        return false;
    }


    public function FindButtonReplayChatBoot($data)
    {
        $phoneNumbers = $data['messages'][0]['from'];
        $checkClient = Client::where('phone', $phoneNumbers)->first();
        $whatsappCloudApi = Channel::where('number_id', $data['metadata']['phone_number_id'])->first();
        $message = $data['messages'][0]['interactive']['button_reply'];
        $findBoot = ChatBootReply::where('reply_boot_button_id', $message['id'])->first();



        if ($findBoot) {
            $handelReplyButtonBoot = HandelReplyBoot::where('client_id', $checkClient->uuid)
                ->where('channel_id', $whatsappCloudApi->id)
                ->where('type', 'button')
                ->where('reply_boot_button_id', $message['id'])
                ->exists();
            if (!$handelReplyButtonBoot) {


                SingleMessages::create([
                    'user_id' => optional($whatsappCloudApi->user)->id,
                    'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                    'employee_id' => null,
                    'channel_id' => $whatsappCloudApi->id,
                    'client_id' => $checkClient->uuid,
                    'messages' => $message['title'],
                    'type' => 'receiving_messages',
                    'status' => 'noRead',
                ]);



                HandelReplyBoot::create([
                    'subscriber_id' => $whatsappCloudApi->subscriber_id ?? null,
                    'user_id' => $whatsappCloudApi->user_id ?? null,
                    'channel_id' => $whatsappCloudApi->id,
                    'client_id' => $checkClient->uuid,
                    'reply_boot_button_id' => $message['id'],
                    'type' => 'button',
                ]);

                if ($findBoot->type == "list") {



                    SingleMessages::create([
                        'user_id' => optional($whatsappCloudApi->user)->id,
                        'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                        'employee_id' => null,
                        'channel_id' => $whatsappCloudApi->id,
                        'client_id' => $checkClient->uuid,
                        'messages' => $findBoot->boot_list->header_text,
                        'type' => 'sender_messages',
                        'status' => 'noRead',
                    ]);


                    return $this->sendList($whatsappCloudApi, $checkClient->phone, $findBoot, $checkClient);
                } elseif ($findBoot->type == 'button') {

                    SingleMessages::create([
                        'user_id' => optional($whatsappCloudApi->user)->id,
                        'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                        'employee_id' => null,
                        'channel_id' => $whatsappCloudApi->id,
                        'client_id' => $checkClient->uuid,
                        'messages' => $findBoot->boot_button->button_text,
                        'type' => 'sender_messages',
                        'status' => 'noRead',
                    ]);

                    return $this->sendButton($whatsappCloudApi, $checkClient->phone, $findBoot, $checkClient);
                } else {



                    return $this->sendMessages($whatsappCloudApi, $checkClient->phone, $findBoot, $checkClient);
                }
            }
        } else {
            return false;
        }
        return true;
    }


    public function FindListReplayChatBoot($data)
    {
        $phoneNumbers = $data['messages'][0]['from'];
        $checkClient = Client::where('phone', $phoneNumbers)->first();
        $whatsappCloudApi = Channel::where('number_id', $data['metadata']['phone_number_id'])->first();
        $message = $data['messages'][0]['interactive']['list_reply'];
        $findList = ChatBootReply::where('reply_boot_list_id', $message['id'])->first();




        if ($findList) {
            $handelReplyBootList = HandelReplyBoot::where('client_id', $checkClient->uuid)
                ->where('channel_id', $whatsappCloudApi->id)
                ->where('type', 'list')
                ->where('reply_boot_list_id', $message['id'])
                ->exists();
            if (!$handelReplyBootList) {



                SingleMessages::create([
                    'user_id' => optional($whatsappCloudApi->user)->id,
                    'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                    'employee_id' => null,
                    'channel_id' => $whatsappCloudApi->id,
                    'client_id' => $checkClient->uuid,
                    'messages' => $message['title'],
                    'type' => 'receiving_messages',
                    'status' => 'noRead',
                ]);



                HandelReplyBoot::create([
                    'subscriber_id' => $whatsappCloudApi->subscriber_id ?? null,
                    'user_id' => $whatsappCloudApi->user_id ?? null,
                    'channel_id' => $whatsappCloudApi->id,
                    'client_id' => $checkClient->uuid,
                    'reply_boot_list_id' => $message['id'],
                    'type' => 'list',
                ]);

                if ($findList->type == "list") {


                    SingleMessages::create([
                        'user_id' => optional($whatsappCloudApi->user)->id,
                        'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                        'employee_id' => null,
                        'channel_id' => $whatsappCloudApi->id,
                        'client_id' => $checkClient->uuid,
                        'messages' => $findList->boot_list->header_text,
                        'type' => 'sender_messages',
                        'status' => 'noRead',
                    ]);



                    return $this->sendList($whatsappCloudApi, $checkClient->phone, $findList, $checkClient);
                } elseif ($findList->type == 'button') {

                    SingleMessages::create([
                        'user_id' => optional($whatsappCloudApi->user)->id,
                        'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
                        'employee_id' => null,
                        'channel_id' => $whatsappCloudApi->id,
                        'client_id' => $checkClient->uuid,
                        'messages' => $findList->boot_button->button_text,
                        'type' => 'sender_messages',
                        'status' => 'noRead',
                    ]);


                    return $this->sendButton($whatsappCloudApi, $checkClient->phone, $findList, $checkClient);
                } else {


                    return $this->sendMessages($whatsappCloudApi, $checkClient->phone, $findList, $checkClient);
                }
            }
        } else {
            return false;
        }
        return true;
    }


    public function sendList($whatsappCloudApi, $phoneNumbers, $findBoot, $checkClient): \Illuminate\Http\JsonResponse
    {
        DB::table('webhooks')->delete();
        sendListMessagesSingle($whatsappCloudApi->version, $whatsappCloudApi->number_id, $whatsappCloudApi->token, $phoneNumbers, $findBoot->boot_list_id);
        $checkMessagesExpect = SingleMessages::where('channel_id', $whatsappCloudApi->id)
            ->where('client_id', $checkClient->uuid)->where('type', 'receiving_messages')->where('messages', findNameReplyChatBootList($findBoot->boot_list_id)->name)->exists();

        //        if (!$checkMessagesExpect) {

        SingleMessages::create([
            'user_id' => optional($whatsappCloudApi->user)->id,
            'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
            'employee_id' => null,
            'channel_id' => $whatsappCloudApi->id,
            'client_id' => $checkClient->uuid,
            'messages' => findNameReplyChatBootList($findBoot->boot_list_id)->header_text,
            'type' => 'sender_messages',
            'status' => 'noRead',
        ]);

        return response()->json(['success' => true], 201);
        //        }

        return false;
    }


    public function sendButton($whatsappCloudApi, $phoneNumbers, $findBoot, $checkClient): \Illuminate\Http\JsonResponse
    {

        DB::table('webhooks')->delete();
        sendButtonSingle($whatsappCloudApi->version, $whatsappCloudApi->number_id, $whatsappCloudApi->token, $phoneNumbers, $findBoot->boot_button_id);
        SingleMessages::create([
            'user_id' => optional($whatsappCloudApi->user)->id,
            'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
            'employee_id' => null,
            'channel_id' => $whatsappCloudApi->id,
            'client_id' => $checkClient->uuid,
            'messages' => findNameReplyChatBootButton($findBoot->boot_button_id)->button_text,
            'type' => 'sender_messages',
            'status' => 'noRead',
        ]);

        return response()->json(['success' => true], 201);


    }

    public function sendMessages($whatsappCloudApi, $phoneNumbers, $findBoot, $checkClient)
    {
        DB::table('webhooks')->delete();
        $findMessages = ReplyMessage::findorfail($findBoot->reply_message_id);
        sendMessages($whatsappCloudApi->version, $whatsappCloudApi->number_id, $whatsappCloudApi->token, $phoneNumbers, $findMessages->messages);
        $checkMessagesExpect = SingleMessages::where('channel_id', $whatsappCloudApi->id)
            ->where('client_id', $checkClient->uuid)->where('messages', ReplyMessage::findorfail($findBoot->reply_message_id)->messages)->exists();

        //        if (!$checkMessagesExpect){
        SingleMessages::create([
            'user_id' => optional($whatsappCloudApi->user)->id,
            'subscriber_id' => optional($whatsappCloudApi->subscriber)->id,
            'employee_id' => null,
            'channel_id' => $whatsappCloudApi->id,
            'client_id' => $checkClient->uuid,
            'messages' => ReplyMessage::findorfail($findBoot->reply_message_id)->messages,
            'type' => 'sender_messages',
            'status' => 'noRead',
        ]);

        return response()->json(['success' => true], 201);
        //        }
        //        return false;
    }
}
