<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\SubscriberRequest;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\View\View;

class AuthenticatedSubscriptionController extends Controller
{
    /**
     * Display the login view.
     */
    public function create(): View
    {
        return view('subscribertion.auth.login');
    }

    /**
     * Handle an incoming authentication request.
     */
    public function store(SubscriberRequest $request): RedirectResponse
    {
        if (auth('subscriber')->attempt(['email' => $request->email, 'password' => $request->password, 'status' => "active"])) {
            $request->authenticate();

            $request->session()->regenerate();

            return redirect()->intended(RouteServiceProvider::SUBSCRIPTION);
        }
        return redirect()->route('subscriberlogin')->withErrors(['error' => 'برجاء التواصل مع المسئول']);
    }

    /**
     * Destroy an authenticated session.
     */
    public function destroy(Request $request): RedirectResponse
    {
        Auth::guard('subscriber')->logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();

        return redirect()->route('subscriberlogin');
    }
}
