<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckStatusEmployee
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (auth('employee')->check() && auth('employee')->user()->status == "active") {
            return $next($request);
        }
        auth('employee')->logout();
        return redirect()->route('employee')->withErrors(['error' => 'برجاء التواصل مع المسئول']);
    }
}
