<?php

namespace App\Models;

use App\Traits\Uuid;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

class Client extends Model
{
    use HasFactory, Uuid;

    protected $primaryKey = "uuid";
    public $incrementing = false;
    protected $keyType = 'uuid';
    protected $fillable = [
        'user_id',
        'subscriber_id',
        'employee_id',
        'status_id',
        'channel_id',
        'name',
        'phone',
        'status_boot',
        'start_date',
    ];


    public function messages()
    {
        return $this->hasMany(SingleMessages::class, 'client_id')->whereNotNull('messages');
    }

    public function messages_count_noTread()
    {
        return $this->hasMany(SingleMessages::class, 'client_id')->where('status', 'noRead')->count();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function subscriber()
    {
        return $this->belongsTo(subscriber::class, 'subscriber_id');
    }

    public function status()
    {
        return $this->belongsTo(Status::class, 'status_id');
    }

    public function channel()
    {
        return $this->belongsTo(channel::class, 'channel_id');
    }

    public function employee()
    {
        return $this->belongsTo(employee::class, 'employee_id');
    }

}
