<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SingleMessages extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'subscriber_id',
        'employee_id',
        'channel_id',
        'client_id',
        'messages',
        'type',
        'status',
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function subscriber()
    {
        return $this->belongsTo(subscriber::class, 'subscriber_id');
    }

    public function employee()
    {
        return $this->belongsTo(employee::class, 'employee_id');
    }

    public function channel()
    {
        return $this->belongsTo(channel::class, 'channel_id');
    }

    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id');
    }
}
