<?php

use App\Models\BootButton;
use App\Models\BootList;
use App\Models\ChatBootReply;
use App\Models\ReplyMessage;

if (!function_exists('getUserType')) {
    function getUserType()
    {
        if (auth('web')->check()) {
            $user = auth('web')->user()->id ?? null;
        } elseif (auth('subscriber')->check()) {
            $user = auth('subscriber')->user()->id ?? null;
        } else {
            $user = auth('employee')->user()->id ?? null;
        }
        return $user;
    }
}

if (!function_exists('getInformationDataQquery')) {
    function getInformationDataQquery($models)
    {
        $model = "App\\Models\\" . $models;
        if (auth('web')->check()) {
            $data = $model::query(); // Create a new query builder instance
        } elseif (auth('subscriber')->check()) {
            $data = $model::where('subscriber_id', getUserType()); // Create a new query builder instance
        } else {
            $data = $model::where('subscriber_id', getUserType())->where('employee_id', auth('employee')->id()); // Create a new query builder instance
        }
        return $data;
    }
}

if (!function_exists('getInformationData')) {
    function getInformationData($models)
    {
        $model = "App\\Models\\" . $models;
        if (auth('web')->check()) {
            $data = $model::all();
        } elseif (auth('subscriber')->check()) {
            $data = $model::where('subscriber_id', getUserType())->get();
        } else {
            $data = $model::where('subscriber_id', getUserType())->get();
        }

        return $data;
    }
}

if (!function_exists('getInformationDataPagination')) {
    function getInformationDataPagination($models)
    {
        $model = "App\\Models\\" . $models;
        if (auth('web')->check()) {
            $data = $model::orderBy('uuid', 'DESC')->paginate(50);
        } elseif (auth('subscriber')->check()) {
            $data = $model::where('subscriber_id', getUserType())->orderBy('uuid', 'DESC')->paginate(50);
        } else {
            $data = $model::where('subscriber_id', getUserType())->where('employee_id', auth('employee')->id())->orderBy('uuid', 'DESC')->paginate(50);
        }
        return $data;
    }
}
if (!function_exists('getInformationDataPaginationClient')) {
    function getInformationDataPaginationClient($models)
    {
        $model = "App\\Models\\" . $models;
        if (auth('web')->check()) {
            $data = $model::orderBy('uuid', 'DESC')->paginate(50);
        } elseif (auth('subscriber')->check()) {
            $data = $model::where('subscriber_id', getUserType())->orderBy('uuid', 'DESC')->paginate(50);
        } else {
            $data = $model::where('employee_id', auth('employee')->id())->orderBy('uuid', 'DESC')->paginate(50);
        }
        return $data;
    }
}

if (!function_exists('getInformationDataClients')) {
    function getInformationDataClients()
    {
        $model = "App\\Models\\Client";
        if (auth('web')->check()) {
            $data = $model::all();
        } elseif (auth('subscriber')->check()) {
            $data = $model::where('subscriber_id', auth('subscriber')->id())->get();
        } else {
            $data = $model::where('employee_id', auth('employee')->id())->where('subscriber_id', auth('subscriber')->id())->get();
        }
        return $data;
    }
}


if (!function_exists('getStatusData')) {
    function getStatusData()
    {
        $model = "App\\Models\\Status";
        $firstThreeRows = $model::take(4)->get();

        if (auth('web')->check()) {
            $data = $model::all();
        } elseif (auth('subscriber')->check()) {
            $subscriberId = getUserType();
            $data = $firstThreeRows->merge($model::where('subscriber_id', $subscriberId)->get());
        } else {
            $subscriberId = getUserType();
            $data = $firstThreeRows->merge($model::where('subscriber_id', $subscriberId)->get());
        }

        return $data;
    }
}

if (!function_exists('findNameReplyChatBootButton')) {
    function findNameReplyChatBootButton($id)
    {

        $chatBoot = ChatBootReply::where('reply_boot_button_id', $id)->first();
        if ($chatBoot){
            if ($chatBoot->type == "list"){
                return BootList::findorfail($chatBoot->boot_list_id);
            }elseif ($chatBoot->type == "button"){
                return BootButton::findorfail($chatBoot->boot_button_id);
            }else{
                return ReplyMessage::findorfail($chatBoot->reply_message_id);
            }
        }

        return true;
    }
}
if (!function_exists('findNameReplyChatBootList')) {
    function findNameReplyChatBootList($id)
    {

        $chatBoot = ChatBootReply::where('reply_boot_list_id', $id)->first();
        if ($chatBoot){
            if ($chatBoot->type == "list"){
                return BootList::findorfail($chatBoot->boot_list_id);
            }elseif ($chatBoot->type == "button"){
                return BootButton::findorfail($chatBoot->boot_button_id);
            }else{
                return ReplyMessage::findorfail($chatBoot->reply_message_id);
            }
        }

        return true;
    }
}
