<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('reply_boots', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->foreignId('user_id')->nullable()->constrained('users')->cascadeOnDelete()->cascadeOnUpdate();
            $table->foreignId('subscriber_id')->nullable()->constrained('subscribers')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('boot_list_id')->nullable()->constrained('boot_lists')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('boot_button_id')->nullable()->constrained('boot_buttons')->cascadeOnUpdate()->cascadeOnDelete();
            $table->enum('type',['list','button','messages']);
            $table->enum('status',['yes','no']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('reply_boots');
    }
};
