<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('handel_reply_boots', function (Blueprint $table) {
            $table->id();
            $table->foreignId('subscriber_id')->nullable()->constrained('subscribers')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('user_id')->nullable()->constrained('users')->cascadeOnDelete()->cascadeOnUpdate();
            $table->foreignId('channel_id')->nullable()->constrained('channels')->cascadeOnDelete()->cascadeOnUpdate();
            $table->foreignUuid('client_id')->nullable()->constrained('clients','uuid')->cascadeOnDelete()->cascadeOnUpdate();

            $table->foreignId('reply_boot_list_id')->nullable()->constrained('reply_boot_lists')->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('reply_boot_button_id')->nullable()->constrained('reply_boot_buttons')->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('reply_message_id')->nullable()->constrained('reply_messages')->cascadeOnDelete()->cascadeOnUpdate();

            $table->enum('type',['message','list','button']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('handel_reply_boots');
    }
};
