@extends('admin.layouts.master')


@section('title')
    الموظفين
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">الموظفين</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">الموظفين</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-header">
                        <a class="btn btn-success" href="{{route('employees.create')}}">
                            اضافه موظف جديد
                        </a>

                    </div>
                    <div class="card-body">
                        @include('admin.messages')
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>اسم الموظف</th>
                                <th>البريد الالكتروني</th>
                                <th>حاله الموظف</th>
                                <th>المسئول عن الموظف</th>
                                <th>العمليات</th>

                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $row)
                                <tr>
                                    <td>{{$loop->index+1}}</td>
                                    <td>{{$row->name}}</td>
                                    <td>{{$row->email}}</td>

                                    <td>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input"
                                                   {{$row->status == "active" ? "checked" : null}} type="checkbox"
                                                   role="switch" id="flexSwitchCheckDefault{{$row->id}}"
                                                   onchange="updateStatus(this.checked, {{$row->id}})">
                                            <label class="form-check-label" for="flexSwitchCheckDefault{{$row->id}}">الحالة</label>
                                        </div>
                                    </td>

                                    <td>{{ $row->subscriber->name ?? "ادراه الفاروق" }}</td>




                                    <td>
                                        <div class="dropdown">
                                            <button class="btn btn-success btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                العمليات
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item" href="{{route('employees.edit',$row->id)}}"> <i class="fa fa-edit text-success mr-2"></i> تعديل </a>
                                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#delete{{$row->id}}"> <i class="fa fa-trash text-danger mr-2"></i> حذف </a>
                                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#password{{$row->id}}"> <i class="fa fa-passport text-info mr-2"></i> تغير كلمه السر </a>
                                            </div>
                                        </div>

                                    </td>

                                    @include('admin.employee.changepassword')
                                    @include('admin.employee.deleted')
                                </tr>
                            @endforeach

                            </tbody>

                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js')
    <script>
        function updateStatus(checked, id) {
            var status = checked ? "active" : "noActive";

            // إرسال طلب AJAX
            $.ajax({
                url: "{{ route('status_status_employee') }}",
                method: "POST",
                headers: {
                    "X-CSRF-TOKEN": "{{ csrf_token() }}"
                },
                data: {
                    status: status,
                    id: id
                },
                success: function (response) {
                    Swal.fire({
                        icon: 'success',
                        title: 'نجاح!',
                        text: response.message,
                        showConfirmButton: false,
                        timer: 1500
                    });
                },
                error: function () {
                    alert("حدث خطأ أثناء تحديث الحالة");
                }
            });
        }


    </script>
@endsection
