<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ApiWorkController;
use App\Http\Controllers\Admin\ButtonBootController;
use App\Http\Controllers\Admin\ChanelEmployeeController;
use App\Http\Controllers\Admin\ChannelController;
use App\Http\Controllers\Admin\ChatBootController;
use App\Http\Controllers\Admin\ChatBootReplyController;
use App\Http\Controllers\Admin\ClientsController;
use App\Http\Controllers\Admin\ConnectBotController;
use App\Http\Controllers\Admin\EmployeeController;
use App\Http\Controllers\Admin\ListBootController;
use App\Http\Controllers\Admin\ReplyButtonBootController;
use App\Http\Controllers\Admin\ReplyListBootController;
use App\Http\Controllers\Admin\ReplyMessageController;
use App\Http\Controllers\Admin\ReportController;
use App\Http\Controllers\Admin\StatusController;
use App\Http\Controllers\Admin\TemplateController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::group(['middleware' => 'auth:subscriber,web'], function () {
    Route::resource('channels', ChannelController::class);
    Route::get('channels_messages/{id}', [ChannelController::class, 'channels_messages'])->name('channels_messages');
    Route::get('get_channels_messages/{id}/{channels}', [ChannelController::class, 'get_channels_messages'])->name('get_channels_messages');
    Route::resource('status', StatusController::class);
    Route::resource('employees', EmployeeController::class);
    Route::post('status_status_employee', [EmployeeController::class, 'status_status_employee'])->name('status_status_employee');
    Route::post('changePassword', [EmployeeController::class, 'changePassword'])->name('changePassword_employee');
    Route::resource('listBoot', ListBootController::class);
    Route::resource('ReplyListBoot', ReplyListBootController::class);
    Route::resource('ButtonBoot', ButtonBootController::class);
    Route::resource('ReplyButtonBoot', ReplyButtonBootController::class);
    Route::resource('ReplyMessage', ReplyMessageController::class);
    Route::resource('chatBoot', ChatBootController::class);
    Route::post('chatBootMessages', [ChatBootController::class, 'chatBootMessages'])->name('chatBootMessages');
    Route::resource('connectBot', ConnectBotController::class);
    Route::resource('chatBootReply', ChatBootReplyController::class);
    Route::get('chatBootReplyListShow/{reply_boot_list_id}/{id}', [ChatBootReplyController::class, 'chatBootReplyListShow'])->name('chatBootReplyListShow');
    Route::get('chatBootReplyButtonShow/{reply_boot_button_id}/{id}', [ChatBootReplyController::class, 'chatBootReplyButtonShow'])->name('chatBootReplyButtonShow');
    Route::resource('apiWork', ApiWorkController::class);
    Route::resource('templates', TemplateController::class);
    Route::get('uploadFile', [TemplateController::class, 'uploadFile'])->name('uploadFile');
    Route::post('uploadFileInSystem', [TemplateController::class, 'uploadFileInSystem'])->name('uploadFileInSystem');
    Route::prefix('reposts')->group(function () {
        Route::get('status', [ReportController::class, 'get_status'])->name('get_status');
        Route::post('post_status', [ReportController::class, 'post_status'])->name('post_status');

        Route::get('subscription', [ReportController::class, 'get_subscription'])->name('get_subscription');
        Route::post('post_subscription', [ReportController::class, 'post_subscription'])->name('post_subscription');

        Route::get('employee', [ReportController::class, 'get_employee'])->name('get_employee');
        Route::post('post_employee', [ReportController::class, 'post_employee'])->name('post_employee');

        Route::get('chanel', [ReportController::class, 'get_chanel'])->name('get_chanel');
        Route::post('post_chanel', [ReportController::class, 'post_chanel'])->name('post_chanel');

        Route::resource('chanelEmployee', ChanelEmployeeController::class);
        Route::get('backup',[ChannelController::class,'backup'])->name('backup');
    });

});

Route::group(['middleware' => 'auth:employee,subscriber,web'], function () {
    Route::resource('clients', ClientsController::class);
    Route::post('sendMessages', [ClientsController::class, 'sendMessages'])->name('sendMessages');
    Route::post('clientsChange', [ClientsController::class, 'clientsChange'])->name('clientsChange');
    Route::post('changeStatus', [ClientsController::class, 'changeStatus'])->name('changeStatus');
    Route::post('sendNewMessages', [ClientsController::class, 'sendNewMessages'])->name('sendNewMessages');
    Route::post('sendBootInClient', [ClientsController::class, 'sendBootInClient'])->name('sendBootInClient');
    Route::post('transformationEmployee', [ClientsController::class, 'transformationEmployee'])->name('transformationEmployee');
    Route::get('getUnreadClients', [ClientsController::class, 'getUnreadClients'])->name('getUnreadClients');
    Route::get('hiringClients', [ClientsController::class, 'hiringClients'])->name('hiringClients');

});



