<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ChannelController;
use App\Http\Controllers\Admin\StatusController;
use App\Http\Controllers\Auth\AuthenticatedEmployeeController;
use App\Http\Controllers\Auth\AuthenticatedSubscriptionController;
use App\Http\Controllers\Employee\EmployeeController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\Subscription\SubscriptionController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|subscription.php
*/

require __DIR__ . '/auth.php';
Route::middleware(['auth:employee','check_employee'])->group(function () {

    Route::prefix('employee')->group(function () {

        Route::post('logout', [AuthenticatedEmployeeController::class, 'destroy'])->name('employee.destroy');
        Route::get('/', [EmployeeController::class, 'index'])->name('employee.index');
    });
});

Route::middleware('guest:employee')->prefix('employee')->as('employee')->group(function () {
    Route::get('login', [AuthenticatedEmployeeController::class, 'create'])
        ->name('login');

    Route::post('login', [AuthenticatedEmployeeController::class, 'store']);

});
