<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ChannelController;
use App\Http\Controllers\Admin\StatusController;
use App\Http\Controllers\Auth\AuthenticatedSubscriptionController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\Subscription\SubscriptionController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|subscription.php
*/

require __DIR__ . '/auth.php';
Route::middleware(['auth:subscriber','check_subscription'])->group(function () {

    Route::prefix('subscriber')->group(function () {

        Route::post('logout', [AuthenticatedSubscriptionController::class, 'destroy'])->name('subscription.destroy');
        Route::get('/', [SubscriptionController::class, 'index'])->name('subscription.index');
    });
});

Route::middleware('guest')->prefix('subscriber')->as('subscriber')->group(function () {
    Route::get('login', [AuthenticatedSubscriptionController::class, 'create'])
        ->name('login');

    Route::post('login', [AuthenticatedSubscriptionController::class, 'store']);

});
